<template lang="pug">
  .root()
    .spinner
      svg.circular(viewBox="25 25 50 50")
        circle.path(cx="50" cy="50" r="20" fill="none")
</template>
<script>
export default {
  name: 'Modal',
  props: {
    classes: {
      type: Array,
      default: () => []
    },
    width: String,
    delay: String
  },
  //インスタンスが生成された後に実行
  created() {},
  //インスタンスがマウントされたちょうど後
  mounted: function() {
    this.$redrawVueMasonry()
  }
}
</script>

<style lang="stylus" scoped>
.root
  position: absolute
  z-index: 2000
  background-color: hsla(0,0,100%,.9)
  margin: 0
  top: 0
  right: 0
  bottom: 0
  left: 0
  transition: opacity .3s
.spinner
  top: 50%
  margin-top: -21px
  width: 100%
  text-align: center
  position: absolute
.circular
  height: 42px
  width: 42px
  animation: loading-rotate 2s linear infinite
  .path
    animation: loading-dash 1.5s ease-in-out infinite
    stroke-dasharray: 90,150
    stroke-dashoffset: 0
    stroke-width: 2px
    stroke: #409eff
    stroke-linecap: round
@keyframes loading-rotate
  100%
    transform: rotate(1turn)
@keyframes loading-dash
  0%
    stroke-dasharray: 1,200
    stroke-dashoffset: 0
  50% 
    stroke-dasharray: 90,150
    stroke-dashoffset: -40px
  100% 
    stroke-dasharray: 90,150
    stroke-dashoffset: -120px
</style>